﻿Type=Service
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
Dim usb1 As UsbSerial	
	Dim astreams1 As AsyncStreams
	Dim ff As String : ff = ""
	
End Sub

Sub Service_Create

End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_Destroy

End Sub

Sub Astreams1_NewData (Buffer() As Byte)
	' You must check for DeviceInfo or analyze Buffer data to know what is connected to the USB
	' The order of the USB could change as you plug them and could change when changing the hub port they are connected to
	Log("NewData 1")
	Log(BytesToString(Buffer, 0, Buffer.Length, "UTF8"))
	Main.Label0 = "" 
	ff = (BytesToString(Buffer, 0, Buffer.Length, "UTF8"))
	
	Main.ee0= ff
	
	Main.texto =ff
	
	If ff = "ACC OFF" & Chr(13) & Chr(10) Then
	Log("Log ACC OFF")
	Main.texto = ""
	'bttext = "Sec" 
	Main.Label0 = "ACC OFF ACC OFF ACC OFF ACC OFF" 
	
	Else If ff = "SEC ON" & Chr(13) & Chr(10) Then
	Log("Log SEC ON")
	Main.texto = ""
	'bttext = "Imo" 
	Main.Label0 = "SEC ON SEC ON SEC ON SEC ON" 
	
	Else
	Main.texto = ""
	End If
	
End Sub

Sub AStreams1_Error
	Log("Error: " & LastException)
	astreams1.Close
End Sub

Sub Astreams1_Terminated
	Log("Terminated")
	astreams1.Close
End Sub

Sub btnOpen2_Click
	If usb1.UsbPresent(1) = usb1.USB_NONE Then	' Ver_2.4
		Log("Msgbox - no device")
		Msgbox("No USB device or accessory detected!", "Error")
		Log("Msgbox - returned")
		Return
	End If
	Log("Checking permission 1")
	If (usb1.HasPermission(1)) Then	' Ver_2.4
		'Msgbox(usb1.DeviceInfo(1), "Device Information 1")	' Ver_2.4
		Dim dev As Int
		dev = usb1.Open(115200, 1)
		If dev <> usb1.USB_NONE Then
			Log("Connected successfully! 1")
			ToastMessageShow("USB Connected successfully!", True)
			
			CallSubDelayed3(Main, "GetResult", True ,False)
			' btnClose.Enabled = True
			'btnSend.Enabled = True			
			astreams1.Initialize(usb1.GetInputStream, usb1.GetOutputStream, "astreams1")
		Else
			Log("Error opening USB port 1")
		End If
	Else
		usb1.RequestPermission(1)  ' Ver_2.4
	End If
End Sub

Sub btnClose2_Click
CallSubDelayed3(Main, "GetResult",False  ,True)
	astreams1.Close
	usb1.Close	
	
End Sub

Sub btnSend2_Click
    Log("btnSend_Click sec")
	Main.ee0 = ""
	astreams1.Write("sec".GetBytes("UTF8"))
End Sub
